import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { getControl } from 'handie-vue';
import { ActionHeadlessWidget } from 'handie-vue/dist/widgets';
let ButtonActionWidget = class ButtonActionWidget extends ActionHeadlessWidget {
    render(h) {
        const { primary, danger } = this.action;
        const classNames = ['ActionWidget', 'ButtonActionWidget'];
        if (this.config.className) {
            classNames.push(this.config.className);
        }
        const props = { className: classNames.join(' '), disabled: this.disabled };
        if (primary) {
            props.color = 'primary';
        }
        if (danger) {
            props.color = 'danger';
        }
        return h(getControl('Button'), { props, on: { click: () => this.onExecute() } }, this.resolveContent());
    }
};
ButtonActionWidget = __decorate([
    Component
], ButtonActionWidget);
export default ButtonActionWidget;
