import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { getRenderer } from 'handie-vue';
import { ObjectViewHeadlessWidget } from 'handie-vue/dist/widgets';
let FormViewWidget = class FormViewWidget extends ObjectViewHeadlessWidget {
    get id() {
        return this.$route.params.id || '';
    }
    created() {
        const ctx = this.context;
        if (this.id && ctx.getOne) {
            ctx.getOne(this.id, data => {
                this.dataSource = data;
                this.context.setValue(data);
            });
        }
    }
    render(h) {
        return h('div', { staticClass: 'FormView' }, [
            h(getRenderer('FormRenderer'), {
                props: {
                    fields: this.fields,
                    value: this.value,
                    validation: this.validation,
                    config: this.config,
                },
                on: { change: this.onFieldValueChange },
            }),
        ]);
    }
};
FormViewWidget = __decorate([
    Component
], FormViewWidget);
export default FormViewWidget;
